SitePoint Sponsor

User Tag List

Results 1 to 2 of 2
  1. #1
    SitePoint Member
    Join Date
    Feb 2009
    Posts
    5
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Can't connect to mysql 'MySQL 4.1+ using old authentication in...'

    Hi

    I haven't run PHP locally before on my PC and have tried doing so with AppServ 2.6. I seems to be fine doing test pages but when trying any websites that connect to a mysql database I'm getting the errors below and haven't been able to fix them. I would apprieciate if anyone knows what I need to change.

    Errors:
    Code:
    Code:Warning: mysql_connect() [function.mysql-connect]: OK packet 6 bytes shorter than expected. PID=5880 in C:\AppServ\www\... on line 17
    
    Warning: mysql_connect() [function.mysql-connect]: mysqlnd cannot connect to MySQL 4.1+ using old authentication in C:\AppServ\www\... on line 17
    
    Warning: mysql_connect() [function.mysql-connect]: in C:\AppServ\www\... on line 17
    We appear to be having some database connection issues, please try again later.
    Code line 17:
    Code:
    mysql_connect($hostname, $username, $password);
    Is mysql_connect out of date now, I tried mysqli_connect but that didn't help either.

    Cheers

  2. #2
    SitePoint Guru
    Join Date
    Jan 2005
    Location
    heaven
    Posts
    953
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Try changing the password on the database.
    "mysqlnd cannot connect to MySQL 4.1+ using old authentication" tells
    you what the error is, please don't use the --old-passwords MySQL
    option!
    Creativity knows no other restraint than the
    confines of a small mind.
    - Me
    Geekly Humor
    Oh baby! Check out the design patterns on that framework!


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •